
<!doctype html>
<html lang="en">

<head>
    <title>Code coverage report for service/profileService.ts</title>
    <meta charset="utf-8" />
    <link rel="stylesheet" href="../prettify.css" />
    <link rel="stylesheet" href="../base.css" />
    <link rel="shortcut icon" type="image/x-icon" href="../favicon.png" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <style type='text/css'>
        .coverage-summary .sorter {
            background-image: url(../sort-arrow-sprite.png);
        }
    </style>
</head>
    
<body>
<div class='wrapper'>
    <div class='pad1'>
        <h1><a href="../index.html">All files</a> / <a href="index.html">service</a> profileService.ts</h1>
        <div class='clearfix'>
            
            <div class='fl pad1y space-right2'>
                <span class="strong">0% </span>
                <span class="quiet">Statements</span>
                <span class='fraction'>0/42</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">0% </span>
                <span class="quiet">Branches</span>
                <span class='fraction'>0/10</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">0% </span>
                <span class="quiet">Functions</span>
                <span class='fraction'>0/4</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">0% </span>
                <span class="quiet">Lines</span>
                <span class='fraction'>0/42</span>
            </div>
        
            
        </div>
        <p class="quiet">
            Press <em>n</em> or <em>j</em> to go to the next uncovered block, <em>b</em>, <em>p</em> or <em>k</em> for the previous block.
        </p>
        <template id="filterTemplate">
            <div class="quiet">
                Filter:
                <input oninput="onInput()" type="search" id="fileSearch">
            </div>
        </template>
    </div>
    <div class='status-line low'></div>
    <pre><table class="coverage">
<tr><td class="line-count quiet"><a name='L1'></a><a href='#L1'>1</a>
<a name='L2'></a><a href='#L2'>2</a>
<a name='L3'></a><a href='#L3'>3</a>
<a name='L4'></a><a href='#L4'>4</a>
<a name='L5'></a><a href='#L5'>5</a>
<a name='L6'></a><a href='#L6'>6</a>
<a name='L7'></a><a href='#L7'>7</a>
<a name='L8'></a><a href='#L8'>8</a>
<a name='L9'></a><a href='#L9'>9</a>
<a name='L10'></a><a href='#L10'>10</a>
<a name='L11'></a><a href='#L11'>11</a>
<a name='L12'></a><a href='#L12'>12</a>
<a name='L13'></a><a href='#L13'>13</a>
<a name='L14'></a><a href='#L14'>14</a>
<a name='L15'></a><a href='#L15'>15</a>
<a name='L16'></a><a href='#L16'>16</a>
<a name='L17'></a><a href='#L17'>17</a>
<a name='L18'></a><a href='#L18'>18</a>
<a name='L19'></a><a href='#L19'>19</a>
<a name='L20'></a><a href='#L20'>20</a>
<a name='L21'></a><a href='#L21'>21</a>
<a name='L22'></a><a href='#L22'>22</a>
<a name='L23'></a><a href='#L23'>23</a>
<a name='L24'></a><a href='#L24'>24</a>
<a name='L25'></a><a href='#L25'>25</a>
<a name='L26'></a><a href='#L26'>26</a>
<a name='L27'></a><a href='#L27'>27</a>
<a name='L28'></a><a href='#L28'>28</a>
<a name='L29'></a><a href='#L29'>29</a>
<a name='L30'></a><a href='#L30'>30</a>
<a name='L31'></a><a href='#L31'>31</a>
<a name='L32'></a><a href='#L32'>32</a>
<a name='L33'></a><a href='#L33'>33</a>
<a name='L34'></a><a href='#L34'>34</a>
<a name='L35'></a><a href='#L35'>35</a>
<a name='L36'></a><a href='#L36'>36</a>
<a name='L37'></a><a href='#L37'>37</a>
<a name='L38'></a><a href='#L38'>38</a>
<a name='L39'></a><a href='#L39'>39</a>
<a name='L40'></a><a href='#L40'>40</a>
<a name='L41'></a><a href='#L41'>41</a>
<a name='L42'></a><a href='#L42'>42</a>
<a name='L43'></a><a href='#L43'>43</a>
<a name='L44'></a><a href='#L44'>44</a>
<a name='L45'></a><a href='#L45'>45</a>
<a name='L46'></a><a href='#L46'>46</a>
<a name='L47'></a><a href='#L47'>47</a>
<a name='L48'></a><a href='#L48'>48</a>
<a name='L49'></a><a href='#L49'>49</a>
<a name='L50'></a><a href='#L50'>50</a>
<a name='L51'></a><a href='#L51'>51</a>
<a name='L52'></a><a href='#L52'>52</a>
<a name='L53'></a><a href='#L53'>53</a>
<a name='L54'></a><a href='#L54'>54</a>
<a name='L55'></a><a href='#L55'>55</a>
<a name='L56'></a><a href='#L56'>56</a>
<a name='L57'></a><a href='#L57'>57</a>
<a name='L58'></a><a href='#L58'>58</a>
<a name='L59'></a><a href='#L59'>59</a>
<a name='L60'></a><a href='#L60'>60</a>
<a name='L61'></a><a href='#L61'>61</a>
<a name='L62'></a><a href='#L62'>62</a>
<a name='L63'></a><a href='#L63'>63</a>
<a name='L64'></a><a href='#L64'>64</a>
<a name='L65'></a><a href='#L65'>65</a>
<a name='L66'></a><a href='#L66'>66</a>
<a name='L67'></a><a href='#L67'>67</a>
<a name='L68'></a><a href='#L68'>68</a>
<a name='L69'></a><a href='#L69'>69</a>
<a name='L70'></a><a href='#L70'>70</a>
<a name='L71'></a><a href='#L71'>71</a>
<a name='L72'></a><a href='#L72'>72</a>
<a name='L73'></a><a href='#L73'>73</a>
<a name='L74'></a><a href='#L74'>74</a>
<a name='L75'></a><a href='#L75'>75</a>
<a name='L76'></a><a href='#L76'>76</a>
<a name='L77'></a><a href='#L77'>77</a>
<a name='L78'></a><a href='#L78'>78</a>
<a name='L79'></a><a href='#L79'>79</a>
<a name='L80'></a><a href='#L80'>80</a>
<a name='L81'></a><a href='#L81'>81</a>
<a name='L82'></a><a href='#L82'>82</a>
<a name='L83'></a><a href='#L83'>83</a>
<a name='L84'></a><a href='#L84'>84</a>
<a name='L85'></a><a href='#L85'>85</a>
<a name='L86'></a><a href='#L86'>86</a>
<a name='L87'></a><a href='#L87'>87</a>
<a name='L88'></a><a href='#L88'>88</a>
<a name='L89'></a><a href='#L89'>89</a>
<a name='L90'></a><a href='#L90'>90</a>
<a name='L91'></a><a href='#L91'>91</a>
<a name='L92'></a><a href='#L92'>92</a>
<a name='L93'></a><a href='#L93'>93</a>
<a name='L94'></a><a href='#L94'>94</a>
<a name='L95'></a><a href='#L95'>95</a>
<a name='L96'></a><a href='#L96'>96</a>
<a name='L97'></a><a href='#L97'>97</a>
<a name='L98'></a><a href='#L98'>98</a>
<a name='L99'></a><a href='#L99'>99</a>
<a name='L100'></a><a href='#L100'>100</a>
<a name='L101'></a><a href='#L101'>101</a>
<a name='L102'></a><a href='#L102'>102</a>
<a name='L103'></a><a href='#L103'>103</a>
<a name='L104'></a><a href='#L104'>104</a>
<a name='L105'></a><a href='#L105'>105</a></td><td class="line-coverage quiet"><span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span></td><td class="text"><pre class="prettyprint lang-js">&nbsp;
//fs = require('fs');
const { parseStringPromise, processors } = <span class="cstat-no" title="statement not covered" >require('xml2js');</span>
const getHttpErrors = <span class="cstat-no" title="statement not covered" >require("../model/httpError.ts");</span>
var customerWsImpl = <span class="cstat-no" title="statement not covered" >require('../wsImpl/customerWsDaoImpl.ts');</span>
const customer = <span class="cstat-no" title="statement not covered" >require("../decorator/customer.ts");</span>
&nbsp;
//var infinispan = require('infinispan'); 
&nbsp;
//var connected = infinispan.client({ port: 11333, host: 'cashedge-session-svc-master-cache-hotrod.deposits-api.svc' }, { cacheName: 'CASHEDGE-SESSION' });  
var customerJsonResponse;
function <span class="fstat-no" title="function not covered" >delayTime(</span>n) {
<span class="cstat-no" title="statement not covered" >    return new Promise(<span class="fstat-no" title="function not covered" >function (r</span>esolve) {</span>
<span class="cstat-no" title="statement not covered" >        setTimeout(resolve, n * 1000);</span>
    });
}
&nbsp;
async function <span class="fstat-no" title="function not covered" >parseProfileResponse(</span>cif) {  
&nbsp;
    const options = <span class="cstat-no" title="statement not covered" >{</span>
        tagNameProcessors: [processors.stripPrefix],
        explicitArray: false,
        attrkey: 'Nested',
    };
&nbsp;
    //const {response} = await customerWsImpl.customerwsImpl();
 //   console.log(response);
&nbsp;
<span class="cstat-no" title="statement not covered" >     (<span class="fstat-no" title="function not covered" >async </span>() =&gt; {</span>
        var response = <span class="cstat-no" title="statement not covered" >await customerWsImpl.customerwsImpl(cif);</span>
&nbsp;
<span class="cstat-no" title="statement not covered" >        console.log("&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;",response);</span>
<span class="cstat-no" title="statement not covered" >        if (response instanceof getHttpErrors.ResponseNotValidError) {</span>
<span class="cstat-no" title="statement not covered" >		console.log("&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;&amp;************************");</span>
<span class="cstat-no" title="statement not covered" >            customerJsonResponse = response;</span>
        } else {
<span class="cstat-no" title="statement not covered" >            console.log("coming here:::::::::::!");</span>
            const {
                Envelope: { Body },
            } = <span class="cstat-no" title="statement not covered" >await parseStringPromise(response, options);</span>
			
<span class="cstat-no" title="statement not covered" >            if (typeof Body.IFX.BaseSvcRs.CustInqRs === 'undefined')</span>
            {
<span class="cstat-no" title="statement not covered" >                      console.log("coming here:::::if::::::!",Body.IFX.BaseSvcRs);</span>
                //this is same condition where in DAPI adding status as CUST_GC_E001
<span class="cstat-no" title="statement not covered" >                customerJsonResponse= new getHttpErrors.ResponseNotValidError("CUST-GC-E001", "Error retrieving customer information.", '');</span>
            }
            else{
            const statusCode = <span class="cstat-no" title="statement not covered" >Body.IFX.BaseSvcRs.CustInqRs.Status.StatusCode;</span>
           // const additionalStatusCode = Body.IFX.BaseSvcRs.CustInqRs.Status.AdditionalStatus[0].StatusCode;
            const statusDescription = <span class="cstat-no" title="statement not covered" >Body.IFX.BaseSvcRs.CustInqRs.Status.StatusDesc;</span>
           // console.log("additionalStatusCode::::::::::::::::::::::::::::::::: ", additionalStatusCode);
           // if (additionalStatusCode === '1120') {
<span class="cstat-no" title="statement not covered" >                console.log("coming here:::::::::::3",statusCode);</span>
           //     customerJsonResponse =  new getHttpErrors.ResponseNotValidError("CUST-GC-E001", "No Customer found for Input Criteria", '');
           // }
<span class="cstat-no" title="statement not covered" >           <span class="missing-if-branch" title="if path not taken" >I</span>if (statusCode === '0' &amp;&amp; Body.IFX.BaseSvcRs.CustInqRs.CustRec.CustAdditionalInfo !== "") {</span>
                var birthdate = <span class="cstat-no" title="statement not covered" >Body.IFX.BaseSvcRs.CustInqRs.CustRec.CustInfo.PersonInfo.BirthDt;</span>
                var etinStatusCodePvtEncrypt = <span class="cstat-no" title="statement not covered" >Body.IFX.BaseSvcRs.CustInqRs.CustRec.CustAdditionalInfo.IdInfo.CompositeTINInfo.W8W9CertInfo.CertStatusCode;</span>
<span class="cstat-no" title="statement not covered" >                <span class="missing-if-branch" title="if path not taken" >I</span>if (Body.IFX.BaseSvcRs.CustInqRs.CustRec.CustAdditionalInfo.CustAcctRelatedInfo.StmtInfo.StmtDeliveryPref === 'Print') {</span>
                    var statementDeliveryPreference = <span class="cstat-no" title="statement not covered" >'Online and Paper';</span>
                } <span class="cstat-no" title="statement not covered" ><span class="missing-if-branch" title="if path not taken" >I</span>if (Body.IFX.BaseSvcRs.CustInqRs.CustRec.CustAdditionalInfo.CustAcctRelatedInfo.StmtInfo.StmtDeliveryPref === 'Tickler') {</span>
                    var statementDeliveryPreference = <span class="cstat-no" title="statement not covered" >'Online';</span>
                }
                var mothersMaidenName = <span class="cstat-no" title="statement not covered" >Body.IFX.BaseSvcRs.CustInqRs.CustRec.CustInfo.PersonInfo.MotherMaidenName;</span>
                var backupWithholdingFlagPvtEncrypt = <span class="cstat-no" title="statement not covered" >Body.IFX.BaseSvcRs.CustInqRs.CustRec.CustAdditionalInfo.CustAcctRelatedInfo.BackupWithholding;</span>
                var backupWithholdingReasonCode = <span class="cstat-no" title="statement not covered" >Body.IFX.BaseSvcRs.CustInqRs.CustRec.CustAdditionalInfo.CustAcctRelatedInfo.BackupWithholdingReason;</span>
                var ssnPvtblock = <span class="cstat-no" title="statement not covered" >Body.IFX.BaseSvcRs.CustInqRs.CustRec.CustAdditionalInfo.IdInfo.CompositeTINInfo.TINInfo.TaxId;</span>
                var accountOpeningDate = <span class="cstat-no" title="statement not covered" >Body.IFX.BaseSvcRs.CustInqRs.CustRec.LogInfo.CustAcctOpenDt;</span>
                var segmentCode;
                var restrictInd = <span class="cstat-no" title="statement not covered" >Body.IFX.BaseSvcRs.CustInqRs.CustRec.CustAdditionalInfo.CustActivityInfo.RestrictInd;</span>
                var passPhraseQuestion;
                var passPhraseAnswer;
<span class="cstat-no" title="statement not covered" >                <span class="missing-if-branch" title="if path not taken" >I</span>if (typeof Body.IFX.BaseSvcRs.CustInqRs.CustRec.PhraseInfo !== "undefined") {</span>
<span class="cstat-no" title="statement not covered" >                    passPhraseQuestion = Body.IFX.BaseSvcRs.CustInqRs.CustRec.PhraseInfo.PhraseQuestion;</span>
<span class="cstat-no" title="statement not covered" >                    passPhraseAnswer = Body.IFX.BaseSvcRs.CustInqRs.CustRec.PhraseInfo.PhraseAnswer;</span>
                }
&nbsp;
                var finalResponse = <span class="cstat-no" title="statement not covered" >new customer.Customer(birthdate, etinStatusCodePvtEncrypt, statementDeliveryPreference, mothersMaidenName, backupWithholdingFlagPvtEncrypt, backupWithholdingReasonCode, ssnPvtblock,</span>
                    accountOpeningDate, segmentCode, restrictInd, passPhraseQuestion, passPhraseAnswer);
&nbsp;
<span class="cstat-no" title="statement not covered" >                customerJsonResponse = finalResponse;</span>
            }
	        	}
&nbsp;
        }
&nbsp;
        
&nbsp;
    })()
<span class="cstat-no" title="statement not covered" >       await delayTime(1);</span>
&nbsp;
<span class="cstat-no" title="statement not covered" >     return customerJsonResponse;</span>
&nbsp;
&nbsp;
&nbsp;
};
&nbsp;
<span class="cstat-no" title="statement not covered" >module.exports = { parseProfileResponse };</span>
&nbsp;
&nbsp;
&nbsp;
&nbsp;
&nbsp;
&nbsp;</pre></td></tr></table></pre>

                <div class='push'></div><!-- for sticky footer -->
            </div><!-- /wrapper -->
            <div class='footer quiet pad2 space-top1 center small'>
                Code coverage generated by
                <a href="https://istanbul.js.org/" target="_blank" rel="noopener noreferrer">istanbul</a>
                at 2022-08-17T12:29:47.711Z
            </div>
        <script src="../prettify.js"></script>
        <script>
            window.onload = function () {
                prettyPrint();
            };
        </script>
        <script src="../sorter.js"></script>
        <script src="../block-navigation.js"></script>
    </body>
</html>
    